import tweepy, setuptools

class twObject:

 def __init__(self, cke = setuptools.cke(), cse = setuptools.cse(), ato = setuptools.ato(), ase = setuptools.ase()):
  self.auth = tweepy.OAuthHandler(cke, cse)
  self.auth.set_access_token(ato, ase)
  self.api = tweepy.API(self.auth)

 def delete(self, id):
  self.api.destroy_status(id)

 def search(self, query, savepoint = 0):  
  tweets = list(tweepy.Cursor(self.api.search, q=query, since_id=savepoint).items())
  tweets.reverse()
  return tweets
 
 def whoami(self):
  return self.auth.get_username()

